%define	name	detok
%define	version	0.5.2
%define	release	2mdk

Summary:	The OpenBIOS detokenizer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
URL:		http://www.freiburg.linux.de/OpenBIOS/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
detok is a GPLed FCode detokenizer. It can detokenize
(disassemble) fcode bytecode files as described by the IEEE
1275-1994 standard. This program aims towards IEEE 1275-1994
compliancy, but there is no warranty that it is actually
compliant. bytecode files normally contain Open Firmware drivers
or other packages for use with an Open Firmware compliant system.

%prep

%setup -q -n %{name}-%{version}

%build
make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -m755 detok %{buildroot}%{_bindir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_bindir}/*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.2-2mdk
- build release

* Fri Oct 11 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.2-1mdk
- new version

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3-1mdk
- new version
- rebuilt with gcc3.1

* Wed Dec 19 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.3-1mdk
- initial cooker contrib
